Skip to content
Last updated

Your first API call

You have your access token. Here is a simple read-only call to confirm everything is working and get familiar with the API before building anything.

This page assumes you have a valid access token. See API Basics for authentication.

1. List all payout methods

GET /v3/distribution-manager/payout-methods
curl --request GET \
  --url '[Your API Base URL]/v3/distribution-manager/payout-methods?pageNumber=1&pageSize=20' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Succesful response example:

[
    {
        "id": "b9ecb75a-1a34-4d1a-84cb-14298edbaf18",
        "name": "Bank Transfer",
        "category": "ACHTransfer",
        "iconUrl": "https://cdn.talli.ai/PayoutMethod/bank-transfer/icon.png",
        "isValidPhoneNumberRequired": false,
        "isActive": true,
        "description": "Bank Transfer",
        "minAmount": null,
        "maxAmount": 100000.00
    },
    {
        "id": "84175cf5-4f5f-496b-95ca-2456d369fccf",
        "name": "PayPal Transfer",
        "category": "PayPalTransfer",
        "iconUrl": "https://cdn.talli.ai/PayoutMethod/paypal-transfer/icon.png",
        "isValidPhoneNumberRequired": false,
        "isActive": true,
        "description": "PayPal with 10-day delivery",
        "minAmount": null,
        "maxAmount": 2000.00
    },
    {
        "id": "357ffc5f-ef47-4684-99f9-4cca424d2f81",
        "name": "Easy Prepaid Mastercard®",
        "category": "PrepaidCards",
        "iconUrl": "https://cdn.talli.ai/PayoutMethod/prepaid-mastercard/icon.png",
        "isValidPhoneNumberRequired": false,
        "isActive": true,
        "description": "Easy Prepaid Mastercard®",
        "minAmount": null,
        "maxAmount": 2000.00
    }
]

Copy the id of the payout method you want to inspect.

2. Get a single payout method

Replace YOUR_PAYOUT_METHOD_ID in the URL with the id you copied in step 1.

GET /v3/distribution-manager/payout-methods/{payoutMethodId}
curl --request GET \
  --url '[Your API Base URL]/v3/distribution-manager/payout-methods/YOUR_PAYOUT_METHOD_ID' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Succesful response example:

{
    "id": "b9ecb75a-1a34-4d1a-84cb-14298edbaf18",
    "name": "Bank Transfer",
    "category": "ACHTransfer",
    "iconUrl": "https://cdn.talli.ai/PayoutMethod/bank-transfer/icon.png",
    "isValidPhoneNumberRequired": false,
    "isActive": true,
    "description": "Bank Transfer",
    "minAmount": null,
    "maxAmount": 100000.00
}

Next steps

  • Quickstart: Distributions - get started with distributions
  • Go to API Reference in the sidebar for full v3 endpoint documentation